Subject: RE: [Speermint] Reachability

From: "Stastny Richard" <[email-masked]>
Date: Mon, 3 Apr 2006 10:46:47 +0200

> > Provider B has now (currently only for Public User
> > Identities in the form of E.164 numbers) the OBLIGATION
> > making this PUI reachable for the public by interconnecting
> > with the public network (in this case at least via the PSTN)
> > [snipped]
> > So IMHO we can assume that provider B hosting a Public User Identity
> > (a SIP URI) MUST make this PUI reachable in principle.
> 
> I would think that would only be true if you define the AoR to be a
public
> identity in the public domain, and such regulation was to be created
for
> AoRs.  E.164 numbers are by definition such numbers, I think.  But if,
for
> example, I build a private enterprise network - there's no way I'm
> obligated
> to do so just because I use the same SIP fields AoRs are used in.

I think here we are at the core of the problem. It is the
fuzzy definition of public and private on the Internet.
E.164 numbers are by definition public. If you build a
private network, you may create private numbering plans
as much as you like, they need not to be reachable. But
if you map the private numbering plan to E.164 and make
it reachable e.g. via DDI (or DID) via a UNI provided
by a (public) SP, they become part of the E.164 numbering 
plan and therefore reachable.

So what is the definition of a "public" (SIP) AoR?

The provision of SRV records in the public DNS?

Side remark: In DDI not all extensions need to be
reachable from outside, but at least the pilot number and the 
switchboard is.

A rough equivalent to AoRs is the domain name
part and the user part. Which raises another question:
what is equivalent of a switchboard in sip:?@example.com ?

In E.164, if say +43 50811 is considered the pilot number,
it is either calling +43 50811, +43 50811 0 or calling
a non-existent or nor-reachable extension e.g.
+43 50811 9999.

Any thoughts?

Richard

> -----Original Message-----
> From: Hadriel Kaplan [mailto:[email-masked]]
> Sent: Monday, April 03, 2006 3:48 AM
> To: Stastny Richard; [email-masked]
> Subject: RE: [Speermint] Reachability
> 
> Hi Richard, comments inline...
> 
> > -----Original Message-----
> > From: Stastny Richard [mailto:[email-masked]]
> > Sent: Saturday, April 01, 2006 2:46 PM
> > To: [email-masked]
> > Subject: [Speermint] Reachability
> >
> > after reading the document from Scott Markus on NGN Interconnect
> > I referenced for weekend reading in my last posting
> > http://www.itu.int/osg/spu/ngn/documents/Papers/Marcus-060323-Fin-
> v2.1.pdf
> 
> Indeed that was an interesting paper - thanks for the pointer! (not
that I
> agree with everything in it)
> 
> > and second we always started naturally at provider A in direction
> > of call set-up and not at provider B
> 
> Personally, I think the bigger "problem" is the provider C, the one
after
> B.
> :)  C trying to be reachable by A through B.  But that's out of scope
I
> guess.  It's too bad, because that's when BGP got interesting, for
> example.
> 
> > Provider B has now (currently only for Public User
> > Identities in the form of E.164 numbers) the OBLIGATION
> > making this PUI reachable for the public by interconnecting
> > with the public network (in this case at least via the PSTN)
> > [snipped]
> > So IMHO we can assume that provider B hosting a Public User Identity
> > (a SIP URI) MUST make this PUI reachable in principle.
> 
> I would think that would only be true if you define the AoR to be a
public
> identity in the public domain, and such regulation was to be created
for
> AoRs.  E.164 numbers are by definition such numbers, I think.  But if,
for
> example, I build a private enterprise network - there's no way I'm
> obligated
> to do so just because I use the same SIP fields AoRs are used in.
> 
> Having said that, I would think most providers _want_ to make them
> reachable, because that increases their value.  But as the paper
pointed
> out, peering is difficult to manage beyond a few hundred peers, nor do
IP
> or
> PSTN providers peer with everyone directly to achieve universal
> reachability.  That's why, for me, the more complex problem is the
peer(s)
> between.  But documenting A-B/B-A is a good start.
> 
> > The NRA normally sets the limits to such an offer.
> 
> The power of the national rifle association is staggering.  ;)
> 
> -hadriel
> 

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint